/*			
		Permission to use				 

  Sony Computer Entertainment supplies this lws2rsd software free 	   
  of charge to licensees along with the source code files.		 

  This lws2rsd software is experimental and no support of any kind is 	  
  available.							 

  The licensee is hereby granted permission to use, copy, modify, and	   
  distribute this lws2rsd software and documentation for any purpose. 	  
  Sony Computer Entertainment shall bear no responsibility for any 	  
  damage or loss sustained either directly or indirectly as a result of	   
  using this software. 						   

  Copyright 1997 by Sony Computer Entertainment Inc. All Rights Reserved. 

*/


#define IO

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "io.h"

/******************************************************************************/
 char *GetToken( char *buf, char *token )
/******************************************************************************/
{
	if ( !buf || !token )
		return (char *)NULL;
	
	*token = '\0';

	while ( *buf == ' ' || *buf == '\t' )
		buf++;								// skip blank
	
	if ( *buf == '\0' || *buf == '\n' ) {
		// buf includes no token!
		return (char *)NULL;
	}
	
	while ( *buf != ' ' && *buf != '\t' && *buf != '\0' )
		if ( *buf == '\n' ) {
			*token = '\0';
			return (char *)NULL;
		} else
			*(token++) = *(buf++);
	
	*token = '\0';
	
	while ( *buf == ' ' || *buf == '\t' )
		buf++;								// skip blank
	
	return buf;
}

/******************************************************************************/
 void Ucase( char *token )
/******************************************************************************/
{
	char *ptr;

	if ( !token )
		return;

	for ( ptr = token; *ptr; ptr++ )
		*ptr = (char)toupper( (int)*ptr );
}