/*
 *	waveviewer: mimewave data viewer
 *
 *	"wave.h"
 *
 *		Version 1.00	June 13, 1995
 *
 *		Copyright (C) 1995 by Sony Computer Entertainment Inc.
 *		All rights Reserved.
 */

typedef struct {
    unsigned long size;		/* length of this waveform /* ̔g`̒ */
    long *pr;			/* top address of the waveform data
				/* g`f[^̐擪AhX */
} WAVE_PR;

typedef struct {
    unsigned long num;		/* number of waveforms /* g`̐ */
    WAVE_PR *wp;		/* pointer to the waveform data
				/* g`f[^ւ̃|C^ */
    long repeat;		/* repeat or not? /* repeat 邩ǂ */
    unsigned long length;	/* total wave length (repeat length)
				/* Ŝ̔g`(repeat ) */
    unsigned long s;		/* current position /* ݂̈ʒu */
} WAVE;

#define WAVE_NOREPEAT 0
#define WAVE_REPEAT 1

int wave_init(WAVE *w, WAVE_PR *wp, unsigned long *addr, int repeatp);
long waveset(WAVE *w, unsigned long s);

long wavepr(WAVE *w, long id);
